﻿Public Class Form1

    Private Sub btnShowQuotationMarkInString_Click(sender As Object, e As EventArgs) Handles btnShowQuotationMarkInString.Click
        Dim templateName = tbTemplateName.Text.Trim()
        If String.IsNullOrEmpty(templateName) Then
            MessageBox.Show("Please enter a template name", "Template search", MessageBoxButtons.OK, MessageBoxIcon.Warning)
            Return
        End If

        Dim exampleMessage = $"Could not find template ""{templateName}"" inside the folder"

        ' or without string interpolation
        ' Dim exampleMessage = $"Could not find template """ & templateName & """ inside the folder"

        ' DONT
        ' Dim exampleMessage = $"Could not find template {Chr(34)}{templateName}{Chr(34)} inside the folder"

        MessageBox.Show(exampleMessage, "Template not found", MessageBoxButtons.OK, MessageBoxIcon.Information)
    End Sub

End Class
